### 推荐算法相关

### Apache Mahout
Apache Mahout 是 Apache Software Foundation（ASF） 旗下的一个开源项目，提供一些可扩展的机器学习领域经典算法的实现，  
旨在帮助开发人员更加方便快捷地创建智能应用程序...具体参考官网[https://www.ibm.com/developerworks/cn/java/j-lo-mahout/](https://www.ibm.com/developerworks/cn/java/j-lo-mahout/)  

### 处理方法
用户对每一个电影的评分，可以等同于用户对此电影的喜好程度；  
对电影评分表中的数据采用协同过滤算法生成一个推荐列表，存储在redis中  
目前考虑到服务器性能，没有做成实时推荐，推荐结果放到了redis中做一天的缓存  
具体代码可见 /src/java/main/pqdong/movie/recommend/domain/service  

### 基于用户的协同过滤算法
核心代码：

```java

public List<Long> userBasedRecommender(long userID,int size) throws TasteException {
        UserSimilarity similarity  = new EuclideanDistanceSimilarity(dataModel );
        NearestNUserNeighborhood  neighbor = new NearestNUserNeighborhood(NEIGHBORHOOD_NUM, similarity, dataModel );
        Recommender recommender = new CachingRecommender(new GenericUserBasedRecommender(dataModel , neighbor, similarity));
        List<RecommendedItem> recommendations = recommender.recommend(userID, size);
        return getRecommendedItemIDs(recommendations);
    }

```

### 基于内容的协同过滤算法

```java

public List<Long> itemBasedRecommender(long userID,int size) throws TasteException {
        List<Long> recommendItems = new ArrayList<>();
        ItemSimilarity itemSimilarity = new PearsonCorrelationSimilarity(dataModel);
        Recommender recommender = new GenericItemBasedRecommender(dataModel, itemSimilarity);
        List<RecommendedItem> recommendations = recommender.recommend(userID, size);
        return getRecommendedItemIDs(recommendations);
    }

```