### 数据库建表语句

数据来源：参考/doc/databaseSchema.md文档  

数据库建议使用Mysql 5.6+。  
项目中使用`@Table`注解，当数据库正确配置并连接时，spring boot会自动创建相关的数据库表，  
具体可以参考 `/data/entity`和`application.yml`  

1. user表建表语句
```sql
CREATE TABLE `user` (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `password` varchar(255) DEFAULT NULL,
  `user_avatar` varchar(255) DEFAULT NULL,
  `user_md` varchar(50) DEFAULT NULL,
  `user_nickname` varchar(50) DEFAULT NULL,
  `user_tags` varchar(255) DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `motto` varchar(255) DEFAULT NULL,
  `sex` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_md` (`user_md`,`user_nickname`)
) ENGINE=InnoDB AUTO_INCREMENT=195086 DEFAULT CHARSET=utf8mb4

```

2. movie表
```sql
CREATE TABLE `movie` (
  `movie_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `actor_ids` varchar(255) DEFAULT NULL,
  `actors` varchar(255) DEFAULT NULL,
  `cover` varchar(255) DEFAULT NULL,
  `director_ids` varchar(255) DEFAULT NULL,
  `directors` varchar(255) DEFAULT NULL,
  `genres` varchar(255) DEFAULT NULL,
  `languages` varchar(255) DEFAULT NULL,
  `mins` int(11) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `official_site` varchar(255) DEFAULT NULL,
  `regions` varchar(255) DEFAULT NULL,
  `release_date` date DEFAULT NULL,
  `score` float DEFAULT NULL,
  `storyline` text,
  `tags` varchar(255) DEFAULT NULL,
  `votes` int(11) DEFAULT NULL,
  `year` int(11) DEFAULT NULL,
  PRIMARY KEY (`movie_id`),
  KEY `actor` (`actor_ids`(191)),
  KEY `index1` (`score`),
  KEY `index2` (`tags`(191))
) ENGINE=InnoDB AUTO_INCREMENT=34782321 DEFAULT CHARSET=utf8mb4
```

3. person表
```sql
CREATE TABLE `person` (
  `biography` varchar(255) DEFAULT NULL,
  `birth` varchar(255) DEFAULT NULL,
  `constellation` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `profession` varchar(255) DEFAULT NULL,
  `sex` varchar(255) DEFAULT NULL,
  `birth_place` varchar(255) DEFAULT NULL,
  `name_en` varchar(255) DEFAULT NULL,
  `name_zn` varchar(255) DEFAULT NULL,
  `person_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `avatar` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`person_id`),
  KEY `index1` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=1422443 DEFAULT CHARSET=utf8mb4

```

4. movie_tags
```sql
CREATE TABLE `movie_tags` (
  `movie_tag_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`movie_tag_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4

```

5. rating
```sql
CREATE TABLE `rating` (
  `rating_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `movie_id` bigint(20) DEFAULT NULL,
  `rating` int(11) DEFAULT NULL,
  `time` date DEFAULT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`rating_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1970708 DEFAULT CHARSET=utf8mb4

```

6. config
```sql
CREATE TABLE `config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `key` varchar(255) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4

```